Name:           nomnom
Version:        0.3.1 
Release:        1%{?dist}
Summary:        The graphical video download tool

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://nomnom.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  qt-devel
BuildRequires:  qjson-devel
BuildRequires:  desktop-file-utils
Requires:       quvi
Requires:       umph
Requires:       curl
Requires:       xdg-utils

%description
NomNom is an application for downloading videos from Youtube and other
similar video websites that require Adobe Flash to view the video content.
Video streaming or downloading can be started simply by dropping an URL
onto the application window.

%prep
%setup -q
sed -i -e 's/%{name}.xpm/%{name}/' %{name}.desktop.in
sed -i -e '/VERSION/d' %{name}.desktop.in

# Default configuration file
cat > NomNom.conf  <<EOF
[SharedPreferences]
quviPath=/usr/bin/quvi --category-http %u
curlPath=/usr/bin/curl -L -C - -o %f %u
playerPath=/usr/bin/xdg-open %u
umphPath=/usr/bin/umph --json -t %t -s %s -m %m %i
filenameFormat=%t.%s
regexp=/(\\\w|\\\s)/g
EOF

%build
%configure

make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
install -p -m 644 NomNom.conf $RPM_BUILD_ROOT/%{_sysconfdir}
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name} --with-qt --all-name
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%doc COPYING NEWS README doc/HowtoTranslate.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/tr
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%config(noreplace) %{_sysconfdir}/NomNom.conf
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Nov  8 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.3.1-1
- Update to 0.3.1

* Mon Oct 31 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.3.0-1
- Update to 0.3.0

* Mon Oct 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.0-1
- Update to 0.2.0

* Fri Sep  2 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-4
- Fix files section to avoid files listed twice

* Fri Sep  2 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-3
- Use noreplace for configuration file
- Update default configuration file

* Sat Aug 27 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-2
- License fix
- Remove Buildroot, clean section and the rm in the install section
- Handle locales properly

* Fri Jun 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-1
- Update to 0.1.4

* Tue May 31 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-3
- Manage a all compression of the man pages

* Sun May 29 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-2
- Only use RPM_BUILD_ROOT

* Tue May 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-1
- Initial build

